Issues are visible in Issue List but not in Issue Detail
2016-03-01 14:37 - Jonathan Vargas

Status: Needs feedback Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Permissions and roles Estimated time: 0.00 hour

Target version:

Resolution: Affected version: 3.1.1

Description
Hey,

| found that there is an inconsistency in the authorization to see issues.
| use Redmine as a Project Management Tool for 4 years, and now | am setting up a new project for providing support too.

On this support project, | expect anyone can create requests and see the requests they created or that are assigned to him only, not
the other guys support requests.

| configured the project as "Public", created a "Casual Customer" role with Issues Visibility set to "Issues created by or assigned to
the user". | assigned this role to the "Non-members" users of this project, in the project's Members configuration tab.

After doing this, the non-members users are allowed to see each other issues in the Activity and Issues tabs, however when clicking
on one of these unallowed issues to see its detail, a 403 error is triggered.

Here is a video of the situation:

https://youtu.be/7aHFglhjlIKo

| already disabled all other plugins and restarted. Also, | am attaching a screenshot of my Redmine information page.

Related issues:
Related to Redmine - Defect #24915: Activity shows issues and text of issues ... Needs feedback

History

#1 - 2016-03-02 18:04 - Toshi MARUYAMA

- Status changed from New to Needs feedback

| cannot reproduce on 3.1.3.
I think your "Non member" and "Anonymous" roles have "View issues" permission.

#2 - 2016-03-17 08:06 - Jonathan Vargas
Yes, they have that permission enabled. If | disable it, they won't see any issue, including those ones created by or assigned to themselves.
Is that the expected behaviour?

How can | effectively hide the issues in the listings (Issue List & Activity panels), and only allow these users to see issues created by or assigned to
them?

#3 - 2016-04-15 10:27 - Toshi MARUYAMA

| still cannot reproduce.

#4 - 2017-01-24 12:25 - Toshi MARUYAMA

- Related to Defect #24915: Activity shows issues and text of issues which should not added

Files

Selection_140.png 51 KB 2016-03-01 Jonathan Vargas

2025-05-09 1/1



https://youtu.be/7aHFglhjIKo
https://www.redmine.org/versions/109
http://www.tcpdf.org

